package client

import (
	"fmt"
	"gitlab.novgate.com/common/system-client/pb"
	"testing"
)

var httpClient *HttpClient

func init() {
	config := &SystemConfig{
		ApiUrl:    "http://localhost:9000",
		AppKey:    "xxx",
		AppSecret: "xxx",
	}
	httpClient = NewHttpClient(config)
}
func TestLogin(t *testing.T) {
	req := &pb.LoginReq{
		Header: &pb.RpcHeader{
			Uuid:  "33333333333",
			Token: "",
		},
		UserName: "admin",
		Password: "admin123",
	}

	adminUser := httpClient.Login(req)

	fmt.Println(adminUser.Header.Token)
}

func TestLogout(t *testing.T) {
	header := httpClient.Logout("TK-1-NBFALBZYVTA9F")

	fmt.Println(header)
}

func TestCheckToken(t *testing.T) {

	adminUser := httpClient.CheckToken("TK-1-NBFALBZYVTA9F")
	fmt.Println(adminUser)
}

func TestUserMenu(t *testing.T) {

	menu := httpClient.GetUserMenu("TK-1-VF9KOEE5FWTEU")
	fmt.Println(menu)
}
