package client

import (
	"gitlab.novgate.com/common/common/utils"
	"gitlab.novgate.com/common/system-client/pb"
	"google.golang.org/grpc"
	"net/http"
)

type SystemConfig struct {
	ApiUrl    string `yaml:"api_url" json:"apiUrl"`
	AppKey    string `yaml:"app_key" json:"appKey"`
	AppSecret string `yaml:"app_secret" json:"appSecret"`
	ProxyCA   string `yaml:"proxy_ca" json:"proxyCa"`
}

type GrpcClient struct {
	appKey string
	aes    *utils.AES
	conn   *grpc.ClientConn
	client pb.UserServiceClient
}

type HttpClient struct {
	apiUrl string
	appKey string
	client *http.Client
	aes    *utils.AES
}
